inherit eutils
MY_SRC="${PN}${PV/\.0\./_rev}"

DESCRIPTION="A vector based graphic application."
HOMEPAGE="http://www.xaraxtreme.org/"

SRC_URI="http://downloads.xara.com/opensource/${MY_SRC}.tar.bz2"


LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
RESTRICT="nomirror"

IUSE="doc"

RDEPEND="!media-gfx/XaraLX-bin
	 >=x11-libs/wxGTK-2.6
	 >=x11-libs/gtk+-2.6
	 >=virtual/libstdc++-3.3"

DEPEND="${RDEPEND}
	>=dev-libs/check-0.8.2
	>=dev-util/pkgconfig-0.9"

USE_DESTDIR="1"

MAKEOPTS="-j1"

DOCS="doc/AUTHORS doc/GPL doc/LICENSE  doc/README doc/gifutil.txt doc/mtrand.txt"

S=${WORKDIR}/${PN}

src_install() {
	insinto /usr/bin
	doins bin/xaralx
	fperms 0555 /usr/bin/xaralx

	insinto /usr/share/pixmaps
	doins xaralx.png

	insinto /usr/share/applications
	doins xaralx.desktop

	insinto /usr/share/xaralx
	doins -r Templates/
	doins -r Examples/

	insinto /usr/man
	doins doc/XaraLX.1
	
	if use doc; then
		insinto /usr/share/doc/xaralx/
		doins doc/en/*
	fi
}
